CREATE TABLE iex_score_comp_det (
    SCORE_COMP_DET_ID        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROGRAM_ID               NUMBER(18, 0) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    VALUE                    NUMBER        ,
    RANGE_LOW                NUMBER        ,
    RANGE_HIGH               NUMBER        ,
    SCORE_COMPONENT_ID       NUMBER        ,
    SECURITY_GROUP_ID        NUMBER        ,
    NEW_VALUE                VARCHAR2(4000),
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SCORE_COMP_DET_ID        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROGRAM_ID               NUMBER(18, 0) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    VALUE                    NUMBER        ,
    RANGE_LOW                NUMBER        ,
    RANGE_HIGH               NUMBER        ,
    SCORE_COMPONENT_ID       NUMBER        ,
    SECURITY_GROUP_ID        NUMBER        ,
    NEW_VALUE                VARCHAR2(4000),
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_iex_score_comp_det PRIMARY KEY (SCORE_COMP_DET_ID, SCORE_COMP_DET_ID)
);
